Problems - Configuration Items API
List all configuration items of a problem
Заголовок раздела «List all configuration items of a problem»List all configuration items of a problem with a specific ID.
GET /problems/:id/cisResponse
Заголовок раздела «Response»Status: 200 OK[ { "name": "Adobe Reader 9.1.0", "label": "Adobe Reader 9.1.0", "created_at": "2016-03-14T03:11:22-06:00", "sourceID": null, "updated_at": "2016-03-14T03:11:22-06:00", "service": { "name": "Personal Computing", "id": 22, "provider": { "name": "Widget Data Center, Internal IT", "id": 32 } }, "support_team": { "name": "End-User Support, Houston", "id": 9 }, "id": 711, "product": { "name": "Adobe Reader", "brand": "Adobe", "category": "software/browser_viewer_application", "id": 33 }, "status": "in_production", "software": true, "rule_set": "software" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/problems/:id/cis/active: List all active configuration items of a problem with a specific ID/problems/:id/cis/inactive: List all inactive configuration items of a problem with a specific ID
Add a configuration item to a problem
Заголовок раздела «Add a configuration item to a problem»Add a link between a problem with a specific ID and a configuration item with a specific ID.
POST /problems/:id/cis/:ci_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a configuration item from a problem
Заголовок раздела «Remove a configuration item from a problem»Remove the link between a problem with a specific ID and a configuration item with a specific ID.
DELETE /problems/:id/cis/:ci_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all configuration items from a problem
Заголовок раздела «Remove all configuration items from a problem»Remove all links between a problem with a specific ID and its configuration items.
DELETE /problems/:id/cisResponse
Заголовок раздела «Response»Status: 204 No Content